buhdeuce67
Contributor
Contributor

Workstation 12 on Linux kernel 5.3?

Jump to solution

Hi there,

I’m running Ubuntu 19.10 on my host machine, and I do not wish to downgrade for the time being.

I tried to install VMware Workstation 12.5.9 on my computer, but it just refused to start at all. I did a little digging, and I found that Workstation 12 isn’t compatible with kernels above 4.x.x.

The thing is, I can’t upgrade to Workstation 15 because my computer has one of the older processors that it dropped support for. So my question is, is there any way I can run Workstation without downgrading my distribution or upgrading my processor?

0 Kudos
1 Solution

Accepted Solutions
wila
Immortal
Immortal

Hi,

Have a look at the brilliant patch set from mkubecek

https://github.com/mkubecek/vmware-host-modules

--

Wil

| Author of Vimalin. The virtual machine Backup app for VMware Fusion, VMware Workstation and Player |
| More info at vimalin.com | Twitter @wilva

View solution in original post

0 Kudos
2 Replies
Alex_Romeo
Leadership
Leadership

Hi,

No, those are the necessary prerequisites, without those you can not do anything.

ARomeo

Blog: https://www.aleadmin.it/
0 Kudos
wila
Immortal
Immortal

Hi,

Have a look at the brilliant patch set from mkubecek

https://github.com/mkubecek/vmware-host-modules

--

Wil

| Author of Vimalin. The virtual machine Backup app for VMware Fusion, VMware Workstation and Player |
| More info at vimalin.com | Twitter @wilva
0 Kudos